Question about DSi 1.4 and an R4 Clone

Discussion in 'NDS - Flashcarts and Accessories' started by SwiftDS, Jul 22, 2010.

Jul 22, 2010
  1. SwiftDS
    OP

    Newcomer SwiftDS Member

    Joined:
    Mar 17, 2010
    Messages:
    27
    Country:
    United Kingdom
    Good afternoon all,

    First off, apologies for the seemingly simple question but as I don't have a DSi myself I've never found the need to research DSi updates.

    From what I gather, Nintendo released an update last year which blocked flashcarts from being used on the DSi. From what I gather, most (all?) DSi-compatible carts have since received updates and are fully usable on the DSi. Is this correct?

    My next question is - a friends daughter has her birthday on Saturday. Turns out she wants a flashcart for her DSi... As I have no time to order an AceKard I looked deep into my desk drawer to see what I have laying around.. I have a spare R4 clone - "R4 SDHC - r4rts.com". No where on the box does it say its DSi compatible but when I go to the website www.r4rts.com to grab its firmware the site states that it fully supports the DSi. Anyone know if it does one way or the other? Also www.r4ds.cn which looks almost identical and has the same firmware updates, be it slower, claims theirs is DSi 1.4 compatible.

    So, 1. Is the 1.4 update for the DSi and issue for flashcarts anymore? and 2. Will this R4 clone I've found work on the DSi?

    Thanks!!!
     
  2. YayMii

    Member YayMii hi

    Joined:
    Jun 24, 2009
    Messages:
    4,881
    Location:
    that place
    Country:
    Canada
    1. Congratulations, you got the only R4 (brand) on the market to be made by a real flashcart team. Yeah, the R4 you got is actually made by the M3 team.
    2. The M3-brand R4 has 3 different R4s. There's the R4 SDHC, the R4i SDHC, and the R4i SDHC+RTS. It seems you got the first one, which isn't compatible with the DSi.
    3. For actual non-R4 flashcarts, system updates like 1.4 are not a problem. Although a lot of R4s are compatible with 1.4, there's a possibility that none of them are able to update if say, a 1.5 update rolls around.
    4. On a related note, every 1.4-compatible flashcart shows up in the DSi Menu as 1 of 3 retail games (Danny Phantom Urban Jungle, Fish Tycoon, Star Wars Lethal Alliance). This is only cosmetic, and it's only there to bypass the 1.4 flashcart check.
     
  3. YayMii

    Member YayMii hi

    Joined:
    Jun 24, 2009
    Messages:
    4,881
    Location:
    that place
    Country:
    Canada
    Just to clarify, you have the black box R4 from r4rts.com? If so, then you'll have to get another flashcart.
     
  4. tk_saturn

    Member tk_saturn GBAtemp Psycho!

    Joined:
    Jan 26, 2010
    Messages:
    3,327
    Country:
    United Kingdom
    If you find a retailer which ships by special delivery, you will still have time. Of course SD saturday delivery is expensive. If you are willing to pay £££, i'm sure there are people on here with spares/ duplicates who may be willing to sort you out. Ask on the trade board with the price you are prepared to pay including special delivery, and you may get a response.
     

Share This Page